<?php
/* Autor...:  */
/* Esquema.: COM_OrdenCompraCabecera.xml */
/* Generado: 2021-08-03 03:19:01 */

/* Metodos de acceso a los campos de la tabla COM_OrdenCompraCabecera */
abstract class BaseCOM_OrdenCompraCabeceraBN
{
    /* Campos de la tabla */
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $i_IdSucursal;    // IdSucursal: ( no definido )
    private $i_IdOrdenCompra;    // IdOrdenCompra: ( no definido )
    private $s_TipoOrden;    // TipoOrden: ( no definido )
    private $i_IdProyecto;    // IdProyecto: ( no definido )
    private $s_ProyectoNombre;    // ProyectoNombre: ( no definido )
    private $i_IdProveedor;    // IdProveedor: ( no definido )
    private $s_NombreProveedor;    // NombreProveedor: ( no definido )
    private $s_NumeroInterno;    // NumeroInterno: ( no definido )
    private $s_IdOrdenClasificacion;    // IdOrdenClasificacion: ( no definido )
    private $s_IdMoneda;    // IdMoneda: ( no definido )
    private $s_IdMonedaPago;    // IdMonedaPago: ( no definido )
    private $i_TerminoId;    // TerminoId: ( no definido )
    private $s_Descripcion;    // Descripcion: ( no definido )
    private $s_Observacion;    // Observacion: ( no definido )
    private $s_ObservacionEntrega;    // ObservacionEntrega: ( no definido )
    private $s_ObservacionRechazo;    // ObservacionRechazo: ( no definido )
    private $i_AfectoIGV;    // AfectoIGV: ( no definido )
    private $f_MontoAfecto;    // MontoAfecto: ( no definido )
    private $f_MontoNoAfecto;    // MontoNoAfecto: ( no definido )
    private $f_MontoIGV;    // MontoIGV: ( no definido )
    private $f_MontoBruto;    // MontoBruto: ( no definido )
    private $f_MontoPendientePago;    // MontoPendientePago: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $f_TipoCambio;    // TipoCambio: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $s_IdAlmacenEntrega;    // IdAlmacenEntrega: ( no definido )
    private $d_FechaEntrega;    // FechaEntrega: ( no definido )
    private $s_IdAlmacenIngreso;    // IdAlmacenIngreso: ( no definido )
    private $s_PreparadoPor;    // PreparadoPor: ( no definido )
    private $d_FechaPreparacion;    // FechaPreparacion: ( no definido )
    private $s_AprobadoPor;    // AprobadoPor: ( no definido )
    private $d_FechaAprobacion;    // FechaAprobacion: ( no definido )
    private $s_RevisadoPor;    // RevisadoPor: ( no definido )
    private $d_FechaRevision;    // FechaRevision: ( no definido )
    private $i_IdRequerimiento;    // IdRequerimiento: ( no definido )

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo IdSucursal */
    public function setIdSucursal( $i_IdSucursal )
    {
        $this->i_IdSucursal = $i_IdSucursal;
    }

    /* Obtiene el valor del campo IdSucursal */
    public function getIdSucursal()
    {
        return $this->i_IdSucursal;
    }

    /* Establece el valor del campo IdOrdenCompra */
    public function setIdOrdenCompra( $i_IdOrdenCompra )
    {
        $this->i_IdOrdenCompra = $i_IdOrdenCompra;
    }

    /* Obtiene el valor del campo IdOrdenCompra */
    public function getIdOrdenCompra()
    {
        return $this->i_IdOrdenCompra;
    }

    /* Establece el valor del campo TipoOrden */
    public function setTipoOrden( $s_TipoOrden )
    {
        $this->s_TipoOrden = $s_TipoOrden;
    }

    /* Obtiene el valor del campo TipoOrden */
    public function getTipoOrden()
    {
        return $this->s_TipoOrden;
    }

    /* Establece el valor del campo IdProyecto */
    public function setIdProyecto( $i_IdProyecto )
    {
        $this->i_IdProyecto = $i_IdProyecto;
    }

    /* Obtiene el valor del campo IdProyecto */
    public function getIdProyecto()
    {
        return $this->i_IdProyecto;
    }

    /* Establece el valor del campo ProyectoNombre */
    public function setProyectoNombre( $s_ProyectoNombre )
    {
        $this->s_ProyectoNombre = $s_ProyectoNombre;
    }

    /* Obtiene el valor del campo ProyectoNombre */
    public function getProyectoNombre()
    {
        return $this->s_ProyectoNombre;
    }

    /* Establece el valor del campo IdProveedor */
    public function setIdProveedor( $i_IdProveedor )
    {
        $this->i_IdProveedor = $i_IdProveedor;
    }

    /* Obtiene el valor del campo IdProveedor */
    public function getIdProveedor()
    {
        return $this->i_IdProveedor;
    }

    /* Establece el valor del campo NombreProveedor */
    public function setNombreProveedor( $s_NombreProveedor )
    {
        $this->s_NombreProveedor = $s_NombreProveedor;
    }

    /* Obtiene el valor del campo NombreProveedor */
    public function getNombreProveedor()
    {
        return $this->s_NombreProveedor;
    }

    /* Establece el valor del campo NumeroInterno */
    public function setNumeroInterno( $s_NumeroInterno )
    {
        $this->s_NumeroInterno = $s_NumeroInterno;
    }

    /* Obtiene el valor del campo NumeroInterno */
    public function getNumeroInterno()
    {
        return $this->s_NumeroInterno;
    }

    /* Establece el valor del campo IdOrdenClasificacion */
    public function setIdOrdenClasificacion( $s_IdOrdenClasificacion )
    {
        $this->s_IdOrdenClasificacion = $s_IdOrdenClasificacion;
    }

    /* Obtiene el valor del campo IdOrdenClasificacion */
    public function getIdOrdenClasificacion()
    {
        return $this->s_IdOrdenClasificacion;
    }

    /* Establece el valor del campo IdMoneda */
    public function setIdMoneda( $s_IdMoneda )
    {
        $this->s_IdMoneda = $s_IdMoneda;
    }

    /* Obtiene el valor del campo IdMoneda */
    public function getIdMoneda()
    {
        return $this->s_IdMoneda;
    }

    /* Establece el valor del campo IdMonedaPago */
    public function setIdMonedaPago( $s_IdMonedaPago )
    {
        $this->s_IdMonedaPago = $s_IdMonedaPago;
    }

    /* Obtiene el valor del campo IdMonedaPago */
    public function getIdMonedaPago()
    {
        return $this->s_IdMonedaPago;
    }

    /* Establece el valor del campo TerminoId */
    public function setTerminoId( $i_TerminoId )
    {
        $this->i_TerminoId = $i_TerminoId;
    }

    /* Obtiene el valor del campo TerminoId */
    public function getTerminoId()
    {
        return $this->i_TerminoId;
    }

    /* Establece el valor del campo Descripcion */
    public function setDescripcion( $s_Descripcion )
    {
        $this->s_Descripcion = $s_Descripcion;
    }

    /* Obtiene el valor del campo Descripcion */
    public function getDescripcion()
    {
        return $this->s_Descripcion;
    }

    /* Establece el valor del campo Observacion */
    public function setObservacion( $s_Observacion )
    {
        $this->s_Observacion = $s_Observacion;
    }

    /* Obtiene el valor del campo Observacion */
    public function getObservacion()
    {
        return $this->s_Observacion;
    }

    /* Establece el valor del campo ObservacionEntrega */
    public function setObservacionEntrega( $s_ObservacionEntrega )
    {
        $this->s_ObservacionEntrega = $s_ObservacionEntrega;
    }

    /* Obtiene el valor del campo ObservacionEntrega */
    public function getObservacionEntrega()
    {
        return $this->s_ObservacionEntrega;
    }

    /* Establece el valor del campo ObservacionRechazo */
    public function setObservacionRechazo( $s_ObservacionRechazo )
    {
        $this->s_ObservacionRechazo = $s_ObservacionRechazo;
    }

    /* Obtiene el valor del campo ObservacionRechazo */
    public function getObservacionRechazo()
    {
        return $this->s_ObservacionRechazo;
    }

    /* Establece el valor del campo AfectoIGV */
    public function setAfectoIGV( $i_AfectoIGV )
    {
        $this->i_AfectoIGV = $i_AfectoIGV;
    }

    /* Obtiene el valor del campo AfectoIGV */
    public function getAfectoIGV()
    {
        return $this->i_AfectoIGV;
    }

    /* Establece el valor del campo MontoAfecto */
    public function setMontoAfecto( $f_MontoAfecto )
    {
        $this->f_MontoAfecto = $f_MontoAfecto;
    }

    /* Obtiene el valor del campo MontoAfecto */
    public function getMontoAfecto()
    {
        return $this->f_MontoAfecto;
    }

    /* Establece el valor del campo MontoNoAfecto */
    public function setMontoNoAfecto( $f_MontoNoAfecto )
    {
        $this->f_MontoNoAfecto = $f_MontoNoAfecto;
    }

    /* Obtiene el valor del campo MontoNoAfecto */
    public function getMontoNoAfecto()
    {
        return $this->f_MontoNoAfecto;
    }

    /* Establece el valor del campo MontoIGV */
    public function setMontoIGV( $f_MontoIGV )
    {
        $this->f_MontoIGV = $f_MontoIGV;
    }

    /* Obtiene el valor del campo MontoIGV */
    public function getMontoIGV()
    {
        return $this->f_MontoIGV;
    }

    /* Establece el valor del campo MontoBruto */
    public function setMontoBruto( $f_MontoBruto )
    {
        $this->f_MontoBruto = $f_MontoBruto;
    }

    /* Obtiene el valor del campo MontoBruto */
    public function getMontoBruto()
    {
        return $this->f_MontoBruto;
    }

    /* Establece el valor del campo MontoPendientePago */
    public function setMontoPendientePago( $f_MontoPendientePago )
    {
        $this->f_MontoPendientePago = $f_MontoPendientePago;
    }

    /* Obtiene el valor del campo MontoPendientePago */
    public function getMontoPendientePago()
    {
        return $this->f_MontoPendientePago;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo TipoCambio */
    public function setTipoCambio( $f_TipoCambio )
    {
        $this->f_TipoCambio = $f_TipoCambio;
    }

    /* Obtiene el valor del campo TipoCambio */
    public function getTipoCambio()
    {
        return $this->f_TipoCambio;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo IdAlmacenEntrega */
    public function setIdAlmacenEntrega( $s_IdAlmacenEntrega )
    {
        $this->s_IdAlmacenEntrega = $s_IdAlmacenEntrega;
    }

    /* Obtiene el valor del campo IdAlmacenEntrega */
    public function getIdAlmacenEntrega()
    {
        return $this->s_IdAlmacenEntrega;
    }

    /* Establece el valor del campo FechaEntrega */
    public function setFechaEntrega( $d_FechaEntrega )
    {
        $this->d_FechaEntrega = $d_FechaEntrega;
    }

    /* Obtiene el valor del campo FechaEntrega */
    public function getFechaEntrega()
    {
        return $this->d_FechaEntrega;
    }

    /* Establece el valor del campo IdAlmacenIngreso */
    public function setIdAlmacenIngreso( $s_IdAlmacenIngreso )
    {
        $this->s_IdAlmacenIngreso = $s_IdAlmacenIngreso;
    }

    /* Obtiene el valor del campo IdAlmacenIngreso */
    public function getIdAlmacenIngreso()
    {
        return $this->s_IdAlmacenIngreso;
    }

    /* Establece el valor del campo PreparadoPor */
    public function setPreparadoPor( $s_PreparadoPor )
    {
        $this->s_PreparadoPor = $s_PreparadoPor;
    }

    /* Obtiene el valor del campo PreparadoPor */
    public function getPreparadoPor()
    {
        return $this->s_PreparadoPor;
    }

    /* Establece el valor del campo FechaPreparacion */
    public function setFechaPreparacion( $d_FechaPreparacion )
    {
        $this->d_FechaPreparacion = $d_FechaPreparacion;
    }

    /* Obtiene el valor del campo FechaPreparacion */
    public function getFechaPreparacion()
    {
        return $this->d_FechaPreparacion;
    }

    /* Establece el valor del campo AprobadoPor */
    public function setAprobadoPor( $s_AprobadoPor )
    {
        $this->s_AprobadoPor = $s_AprobadoPor;
    }

    /* Obtiene el valor del campo AprobadoPor */
    public function getAprobadoPor()
    {
        return $this->s_AprobadoPor;
    }

    /* Establece el valor del campo FechaAprobacion */
    public function setFechaAprobacion( $d_FechaAprobacion )
    {
        $this->d_FechaAprobacion = $d_FechaAprobacion;
    }

    /* Obtiene el valor del campo FechaAprobacion */
    public function getFechaAprobacion()
    {
        return $this->d_FechaAprobacion;
    }

    /* Establece el valor del campo RevisadoPor */
    public function setRevisadoPor( $s_RevisadoPor )
    {
        $this->s_RevisadoPor = $s_RevisadoPor;
    }

    /* Obtiene el valor del campo RevisadoPor */
    public function getRevisadoPor()
    {
        return $this->s_RevisadoPor;
    }

    /* Establece el valor del campo FechaRevision */
    public function setFechaRevision( $d_FechaRevision )
    {
        $this->d_FechaRevision = $d_FechaRevision;
    }

    /* Obtiene el valor del campo FechaRevision */
    public function getFechaRevision()
    {
        return $this->d_FechaRevision;
    }

    /* Establece el valor del campo IdRequerimiento */
    public function setIdRequerimiento( $i_IdRequerimiento )
    {
        $this->i_IdRequerimiento = $i_IdRequerimiento;
    }

    /* Obtiene el valor del campo IdRequerimiento */
    public function getIdRequerimiento()
    {
        return $this->i_IdRequerimiento;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdCompania' => $this->getIdCompania(),
            'IdSucursal' => $this->getIdSucursal(),
            'IdOrdenCompra' => $this->getIdOrdenCompra(),
            'TipoOrden' => $this->getTipoOrden(),
            'IdProyecto' => $this->getIdProyecto(),
            'ProyectoNombre' => $this->getProyectoNombre(),
            'IdProveedor' => $this->getIdProveedor(),
            'NombreProveedor' => $this->getNombreProveedor(),
            'NumeroInterno' => $this->getNumeroInterno(),
            'IdOrdenClasificacion' => $this->getIdOrdenClasificacion(),
            'IdMoneda' => $this->getIdMoneda(),
            'IdMonedaPago' => $this->getIdMonedaPago(),
            'TerminoId' => $this->getTerminoId(),
            'Descripcion' => $this->getDescripcion(),
            'Observacion' => $this->getObservacion(),
            'ObservacionEntrega' => $this->getObservacionEntrega(),
            'ObservacionRechazo' => $this->getObservacionRechazo(),
            'AfectoIGV' => $this->getAfectoIGV(),
            'MontoAfecto' => $this->getMontoAfecto(),
            'MontoNoAfecto' => $this->getMontoNoAfecto(),
            'MontoIGV' => $this->getMontoIGV(),
            'MontoBruto' => $this->getMontoBruto(),
            'MontoPendientePago' => $this->getMontoPendientePago(),
            'Estado' => $this->getEstado(),
            'TipoCambio' => $this->getTipoCambio(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
            'IdAlmacenEntrega' => $this->getIdAlmacenEntrega(),
            'FechaEntrega' => $this->getFechaEntrega(),
            'IdAlmacenIngreso' => $this->getIdAlmacenIngreso(),
            'PreparadoPor' => $this->getPreparadoPor(),
            'FechaPreparacion' => $this->getFechaPreparacion(),
            'AprobadoPor' => $this->getAprobadoPor(),
            'FechaAprobacion' => $this->getFechaAprobacion(),
            'RevisadoPor' => $this->getRevisadoPor(),
            'FechaRevision' => $this->getFechaRevision(),
            'IdRequerimiento' => $this->getIdRequerimiento(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto COM_OrdenCompraCabeceraBN desde un RecordSet */
    public static function retrieveByRs( $o_COM_OrdenCompraCabeceraRs )
    {
        $o_COM_OrdenCompraCabeceraBN = new COM_OrdenCompraCabeceraBN();
        $o_COM_OrdenCompraCabeceraBN->setIdCompania( ( integer ) $o_COM_OrdenCompraCabeceraRs[ "IdCompania" ] );
        $o_COM_OrdenCompraCabeceraBN->setIdSucursal( ( integer ) $o_COM_OrdenCompraCabeceraRs[ "IdSucursal" ] );
        $o_COM_OrdenCompraCabeceraBN->setIdOrdenCompra( ( integer ) $o_COM_OrdenCompraCabeceraRs[ "IdOrdenCompra" ] );
        $o_COM_OrdenCompraCabeceraBN->setTipoOrden( $o_COM_OrdenCompraCabeceraRs[ "TipoOrden" ] );
        $o_COM_OrdenCompraCabeceraBN->setIdProyecto( ( integer ) $o_COM_OrdenCompraCabeceraRs[ "IdProyecto" ] );
        $o_COM_OrdenCompraCabeceraBN->setProyectoNombre( $o_COM_OrdenCompraCabeceraRs[ "ProyectoNombre" ] );
        $o_COM_OrdenCompraCabeceraBN->setIdProveedor( ( integer ) $o_COM_OrdenCompraCabeceraRs[ "IdProveedor" ] );
        $o_COM_OrdenCompraCabeceraBN->setNombreProveedor( $o_COM_OrdenCompraCabeceraRs[ "NombreProveedor" ] );
        $o_COM_OrdenCompraCabeceraBN->setNumeroInterno( $o_COM_OrdenCompraCabeceraRs[ "NumeroInterno" ] );
        $o_COM_OrdenCompraCabeceraBN->setIdOrdenClasificacion( $o_COM_OrdenCompraCabeceraRs[ "IdOrdenClasificacion" ] );
        $o_COM_OrdenCompraCabeceraBN->setIdMoneda( $o_COM_OrdenCompraCabeceraRs[ "IdMoneda" ] );
        $o_COM_OrdenCompraCabeceraBN->setIdMonedaPago( $o_COM_OrdenCompraCabeceraRs[ "IdMonedaPago" ] );
        $o_COM_OrdenCompraCabeceraBN->setTerminoId( ( integer ) $o_COM_OrdenCompraCabeceraRs[ "TerminoId" ] );
        $o_COM_OrdenCompraCabeceraBN->setDescripcion( $o_COM_OrdenCompraCabeceraRs[ "Descripcion" ] );
        $o_COM_OrdenCompraCabeceraBN->setObservacion( $o_COM_OrdenCompraCabeceraRs[ "Observacion" ] );
        $o_COM_OrdenCompraCabeceraBN->setObservacionEntrega( $o_COM_OrdenCompraCabeceraRs[ "ObservacionEntrega" ] );
        $o_COM_OrdenCompraCabeceraBN->setObservacionRechazo( $o_COM_OrdenCompraCabeceraRs[ "ObservacionRechazo" ] );
        $o_COM_OrdenCompraCabeceraBN->setAfectoIGV( ( integer ) $o_COM_OrdenCompraCabeceraRs[ "AfectoIGV" ] );
        $o_COM_OrdenCompraCabeceraBN->setMontoAfecto( ( float ) $o_COM_OrdenCompraCabeceraRs[ "MontoAfecto" ] );
        $o_COM_OrdenCompraCabeceraBN->setMontoNoAfecto( ( float ) $o_COM_OrdenCompraCabeceraRs[ "MontoNoAfecto" ] );
        $o_COM_OrdenCompraCabeceraBN->setMontoIGV( ( float ) $o_COM_OrdenCompraCabeceraRs[ "MontoIGV" ] );
        $o_COM_OrdenCompraCabeceraBN->setMontoBruto( ( float ) $o_COM_OrdenCompraCabeceraRs[ "MontoBruto" ] );
        $o_COM_OrdenCompraCabeceraBN->setMontoPendientePago( ( float ) $o_COM_OrdenCompraCabeceraRs[ "MontoPendientePago" ] );
        $o_COM_OrdenCompraCabeceraBN->setEstado( $o_COM_OrdenCompraCabeceraRs[ "Estado" ] );
        $o_COM_OrdenCompraCabeceraBN->setTipoCambio( ( float ) $o_COM_OrdenCompraCabeceraRs[ "TipoCambio" ] );
        $o_COM_OrdenCompraCabeceraBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_COM_OrdenCompraCabeceraRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_COM_OrdenCompraCabeceraBN->setUsuarioCreacion( $o_COM_OrdenCompraCabeceraRs[ "UsuarioCreacion" ] );
        $o_COM_OrdenCompraCabeceraBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_COM_OrdenCompraCabeceraRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_COM_OrdenCompraCabeceraBN->setUsuarioModificacion( $o_COM_OrdenCompraCabeceraRs[ "UsuarioModificacion" ] );
        $o_COM_OrdenCompraCabeceraBN->setIdAlmacenEntrega( $o_COM_OrdenCompraCabeceraRs[ "IdAlmacenEntrega" ] );
        $o_COM_OrdenCompraCabeceraBN->setFechaEntrega( utilTimestamp::getTimestamp( $o_COM_OrdenCompraCabeceraRs[ "FechaEntrega" ], "Y-m-d H:i:s" ) );
        $o_COM_OrdenCompraCabeceraBN->setIdAlmacenIngreso( $o_COM_OrdenCompraCabeceraRs[ "IdAlmacenIngreso" ] );
        $o_COM_OrdenCompraCabeceraBN->setPreparadoPor( $o_COM_OrdenCompraCabeceraRs[ "PreparadoPor" ] );
        $o_COM_OrdenCompraCabeceraBN->setFechaPreparacion( utilTimestamp::getTimestamp( $o_COM_OrdenCompraCabeceraRs[ "FechaPreparacion" ], "Y-m-d H:i:s" ) );
        $o_COM_OrdenCompraCabeceraBN->setAprobadoPor( $o_COM_OrdenCompraCabeceraRs[ "AprobadoPor" ] );
        $o_COM_OrdenCompraCabeceraBN->setFechaAprobacion( utilTimestamp::getTimestamp( $o_COM_OrdenCompraCabeceraRs[ "FechaAprobacion" ], "Y-m-d H:i:s" ) );
        $o_COM_OrdenCompraCabeceraBN->setRevisadoPor( $o_COM_OrdenCompraCabeceraRs[ "RevisadoPor" ] );
        $o_COM_OrdenCompraCabeceraBN->setFechaRevision( utilTimestamp::getTimestamp( $o_COM_OrdenCompraCabeceraRs[ "FechaRevision" ], "Y-m-d H:i:s" ) );
        $o_COM_OrdenCompraCabeceraBN->setIdRequerimiento( ( integer ) $o_COM_OrdenCompraCabeceraRs[ "IdRequerimiento" ] );
        return $o_COM_OrdenCompraCabeceraBN;
    }
}
?>